PORT-FETCH(1)

NAME
port-fetch, port-checksum, port-extract, port-patch, port-configure, port-build, port-destroot, port-test - Run a specific phase of a port

SYNOPSIS

port [-vdoy] [-D portdir] [fetch  [--no-mirrors] | checksum | extract | patch | configure | build | destroot | test ]
     [[portname | pseudo-portname | port-expressions | port-url]]

DESCRIPTION

These commands run a specific phase of a port. Depending phases will be executed automatically as needed.

If the Portfile has changed between multiple invocation, port will perform a clean before running the phase. The flag -o can be used to ignore this and keep the current state of the “work” dir.

Note that the test phase is special in that it will not be run by MacPorts by default. When supported by the given port, the test phase will run the testcases of the software.

OPTIONS

--no-mirrors
    Only fetch files from URLs in master_sites

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

SEE ALSO

port(1), port-install(1)

AUTHORS

    (C) 2010 The MacPorts Project
    Rainer Mueller <raimue@macports.org>